## orafce 4.14.6

=== debian/changelog ===
orafce (4.14.6-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 08 Oct 2025 15:25:31 +0200

orafce (4.14.6-1) unstable; urgency=medium

  * New upstream version 4.14.6.
  * Upload for PostgreSQL 18. (Closes: #1117270)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 15:25:31 +0200
