=== debian/changelog ===
orafce (4.16.1-1) unstable; urgency=medium

  * New upstream version 4.16.1.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Oct 2025 22:51:16 +0200
