=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 bison,
 flex,
 libicu-dev,
 libssl-dev,
 locales-all <!nocheck>,
 postgresql-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://github.com/orafce/orafce
Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
Vcs-Browser: https://salsa.debian.org/postgresql/orafce

Package: postgresql-18-orafce
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Oracle support functions for PostgreSQL 18
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.
