=== debian/tests/control ===
Depends:
 locales-all,
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,
