## orafce 4.16.2

=== debian/changelog ===
orafce (4.16.2-1) unstable; urgency=medium

  * New upstream version 4.16.2.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Nov 2025 13:34:55 +0100
