=== debian/rules ===
#!/usr/bin/make -f

# testsuite needs English and UTF-8
export LANG=en_US.utf8

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs -A README.asciidoc
	rm -r $(CURDIR)/debian/*/usr/share/doc/postgresql-doc-*
