=== debian/watch ===
version=4
opts="uversionmangle=s/_RC/~RC/;s/_/./g" \
https://github.com/orafce/orafce/tags .*/VERSION_(.*).tar.gz
