## orafce 4.16.3

=== debian/changelog ===
orafce (4.16.3-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Nov 2025 10:52:37 +0100

orafce (4.16.3-1) unstable; urgency=medium

  * New upstream version 4.16.3.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Nov 2025 10:52:37 +0100
